<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="now" value="now()" dbms="h2"/>


    <property name="floatType" value="float4" dbms="postgresql, h2"/>
    <property name="floatType" value="float" dbms="mysql, oracle, mssql"/>

    <!--
        Added the entity Organization.
    -->
    <changeSet id="20170718095933-1" author="jhipster">
        <createTable tableName="organization">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="company_name" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="jhi_dba" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="contact_name" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="title" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="telephone" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="email" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="address_id" type="bigint">
                <constraints nullable="true" />
            </column>
            
            <column name="company_url" type="varchar(128)">
                <constraints nullable="true" />
            </column>

            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>
        
    </changeSet>
</databaseChangeLog>
